%global momorel 4

## md5sum of source and patches
%global md5sum_src0 e39331f32ad14009b9ff49cc10c5e751

Summary: A library for editing typed command lines.
Name: readline
Version: 5.2
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html
%NoSource 0 ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch1: readline-5.2-shlib.patch
Patch2: readline-5.2-001.patch
Patch3: readline-5.2-002.patch
Patch4: readline-5.2-003.patch
Patch5: readline-5.2-004.patch

Prereq: info glibc
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: sed autoconf libtool
BuildRequires: ncurses-devel

%description
The Readline library provides a set of functions that allow users to
edit command lines. Both Emacs and vi editing modes are available. The
Readline library includes additional functions for maintaining a list
of previously-entered command lines for recalling or editing those
lines, and for performing csh-like history expansion on previous
commands.

%package devel
Summary: Files needed to develop programs which use the readline library.
Group: Development/Libraries
Requires: readline = %{version}
Requires: ncurses-devel
Prereq: info

%description devel
The Readline library provides a set of functions that allow users to
edit typed command lines. If you want to develop programs that will
use the readline library, you need to have the readline-devel package
installed. You also need to have the readline package installed.

%package static
Summary: Static libraries for the readline library
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
The readline-static package contains the static version of the readline
library.

%prep
%setup -q
%patch1 -p1 -b .shlib
%patch2 -p0 -b .001
%patch3 -p0 -b .002
%patch4 -p0 -b .003
%patch5 -p0 -b .004

rm -f examples/rlfe/configure

%build
libtoolize --copy --force
autoconf || autoconf-2.53
export CPPFLAGS="-I/usr/include/ncurses"
%configure
%make

%install
%{__rm} -rf --preserve-root %{buildroot}
%makeinstall
{
  cd %{buildroot}
  bzip2 -9f .%{_infodir}/*.info*
  rm -f .%{_infodir}/dir
}
 
%clean
%{__rm} -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/history.info.* %{_infodir}/dir
/sbin/install-info %{_infodir}/rluserman.info.* %{_infodir}/dir

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/history.info.* %{_infodir}/dir
   /sbin/install-info --delete %{_infodir}/rluserman.info.* %{_infodir}/dir
fi

%post devel
/sbin/install-info %{_infodir}/readline.info.* %{_infodir}/dir

%preun devel
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/readline.info.* %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc CHANGES COPYING NEWS README USAGE
%{_libdir}/lib*.so.*
%{_infodir}/history.info*
%{_infodir}/rluserman.info*

%files devel
%defattr(-,root,root)
%doc examples/*.c examples/*.h examples/rlfe
%{_includedir}/readline
%{_libdir}/lib*.so
%{_mandir}/man3/*
%{_infodir}/readline.info*

%files static
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog
* Sun Jul 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.2-4m)
- revise %%post and %%preun

* Sun Jun 17 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (5.2-3m)
- sync FC-devel
- split static package

* Tue Feb 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (5.2-2m)
- use ncurses

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (5.2-1m)
- update to 5.2

* Thu Oct  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (5.1-1m)
- update to 5.1
- delete unused patch7, because this is applied upstream source
- use %%NoSource and %%NoPatch

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (5.0-1m)
- update 5.0

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (4.3-4m)
- revised spec for rpm 4.2.

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (4.3-3m)
- pretty spec file.

* Fri Nov 15 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (4.3-3m)
- add readline-4.3-avoid-loop.patch

* Fri Jul 26 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (4.3-2m)
- add readline-4.3-strpbrk.patch for more i18n support
- some cleanup stuff

* Thu Jul 25 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.3-1m)
  update to 4.3

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (4.1-22k)

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (4.1-20k)
- add BuildPreReq: autoconf >= 2.52-8k

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (4.1-18k)
- updated Source0 URL

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag
- fix ChangeLog to changelog

* Mon May  7 2001 Akira Higuchi <a@kondara.org>
- (4.1-12k)
- readline-20000814.patch

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sun May 7 2000 Fumihiko Takayama <tekezo@catv296.ne.jp>
- fix i18n patch (fix riskness of buffer over flow. not link termcap anymore). 
- fix SPEC file ( %clean ) 

* Sun May 7 2000 Fumihiko Takayama <tekezo@catv296.ne.jp>
- fix i18n patch ( forward_word & backward_word )

* Sat May 6 2000 Fumihiko Takayama <tekezo@catv296.ne.jp>
- fix i18n patch. 

* Sat May 6 2000 Fumihiko Takayama <tekezo@catv296.ne.jp>
- update to 4.1
- i18n ( but still beta )

* Thu Feb 24 2000 Shingo Akagaki <dora@kondara.org>
- check spec file

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Sep 28 1999 Jun Nishii <jun@flatout.org>
- EUC code

* Wed Sep 22 1999 Jun Nishii <jun@flatout.org>
- added %defattr in -devel...

* Mon Sep 20 1999 Jun Nishii <jun@flatout.org>
- added %defattr

* Fri Sep 3 1999 Jun Nishii <jun@flatout.org>
- build for Vine-1.9

* Thu Nov 25 1998 Jun Nishii <jun@flatout.org>
- fix soname of libreadline

* Thu Nov 12 1998 Jun Nishii <jun@flatout.org>
- fix sym links of libraries

* Sun Oct 11 1998 Jun Nishii <jun@flatout.org>
- add documents

* Sun Sep 27 1998 Jun Nishii <jun@flatout.org>
- updated to 2.2.1 with Japanese patch

* Sun Sep 27 1998 Jun Nishii <jun@flatout.org>
- updated to 2.2.1 with Japanese patch

* Wed May 06 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- don't package %{_infodir}/dir

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- added proper sonames

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- updated to readline 2.1

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
